Loading...
Searching...
No Matches
pm_remez.h File Reference
`#include <gnuradio/filter/api.h>`
`#include <gnuradio/types.h>`
`#include <string>`
`#include <vector>`
Include dependency graph for pm_remez.h:

Go to the source code of this file.

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::filter

## Functions

FILTER_API std::vector< double > | gr::filter::pm_remez (int order, const std::vector< double > &bands, const std::vector< double > &ampl, const std::vector< double > &error_weight, const std::string filter_type="bandpass", int grid_density=16) noexcept(false)
| Parks-McClellan FIR filter design using Remez algorithm.